#!/bin/sh

# Chemin vers le fichier de configuration
CONFIG_FILE="/var/www/html/conf/conf.php"

set -eu
# Variables d'environnement pour les secrets
DB_USER="${DOLI_DB_USER}"
DB_PASS="${DOLI_DB_PASSWORD}"

# Utilisation de sed pour remplacer les valeurs dans conf.php
if [ -f "$CONFIG_FILE" ]; then
  echo "mise à jour du fichier $CONFIG_FILE"
  sed -i "s/^\(\$dolibarr_main_db_user\s*=\s*\).*/\1'${DB_USER}';/" "$CONFIG_FILE"
  sed -i "s/^\(\$dolibarr_main_db_pass\s*=\s*\).*/\1'${DB_PASS}';/" "$CONFIG_FILE"
else
  echo "Fichier de configuration non trouvé : $CONFIG_FILE"
  exit 1
fi
